function talkWhich(i){
	var q="to";
	var x=[
		{ who: "info", where: "HavanaBeforeCastro" },
		{ who: "jking", where: "gibbs-smith" }
	];
	var z=x[i].who+"@"+x[i].where+"."+"com";
	return "<a href=\"mail"+q+":"+z+"\">"+z+"</a>"
}

function talkTo(){
	var spans= document.getElementsByTagName("span");
	for (var i=0; i < spans.length; i++){
		if (spans[i].className == "talkInfo")
			spans[i].innerHTML = talkWhich(0);
		else if (spans[i].className == "talkJen")
			spans[i].innerHTML = talkWhich(1);;
	}
}

function chompKid(id,e){
	var h= document.getElementById(id);
	if (h){
		var kids=h.getElementsByTagName(e);
		for (var i=0; i< kids.length; i++){
			kids[i].style.display = "none";
			kids[i].innerHTML = "";
		}
	}
}
function chomp(id,noShow){
	var h= document.getElementById(id);
	if (h){
		if (noShow) h.style.display = "none";
		h.innerHTML = "";
	}
}
function everyPage(){
	chomp("clearContent", true );
	chomp("cabaretDancer", false );
	chompKid("preorderAmazon", "span");
	talkTo();
}